package dev.inmo.postssystem.features.common.common.ui.fsm

import dev.inmo.micro_utils.fsm.common.State
import dev.inmo.micro_utils.serialization.typed_serializer.TypedSerializer
import kotlinx.serialization.*

@Serializable(UIFSMStateSerializer::class)
interface UIFSMState : State {
    val from: UIFSMState?
        get() = null
    override val context: String
        get() = "main"
}

object UIFSMStateSerializer : KSerializer<UIFSMState>, TypedSerializer<UIFSMState>(
    UIFSMState::class
)
