package dev.inmo.postssystem.services.posts.client.ui.list

import dev.inmo.postssystem.features.posts.common.RegisteredPostWithContent
import kotlinx.serialization.Serializable

@Serializable
sealed class PostsListUIState {
    @Serializable
    object Loading : PostsListUIState()

    @Serializable
    data class Show(
        val posts: List<RegisteredPostWithContent>
    ) : PostsListUIState()

}
